<template>
  <div>

    <!-- Table Container Card -->
    <b-card
      title="Mis proyectos"
    >

       <div class="m-2">

        <b-row>
          <b-col
            cols="12"
            md="6"
            class="d-flex align-items-center justify-content-start mb-1 mb-md-0"
          >
          </b-col>

          <b-col
            cols="12"
            md="6"
          >
            <div class="d-flex align-items-center justify-content-end">
              <b-form-input
                v-model="searchQuery"
                class="d-inline-block mr-1"
                placeholder="Buscar..."
              />
            </div>
          </b-col>
        </b-row>

      </div>

      <b-table
        class="position-relative"
        :items="projects"
        responsive
        :fields="tableColumns"
        :filter="searchQuery"
        primary-key="id"
        show-empty
        empty-text="No se encontraron registros"
      >

        <template #cell(Acciones)="data">
          <b-dropdown
            variant="link"
            no-caret
          >

            <template #button-content>
              <feather-icon
                icon="MoreVerticalIcon"
                size="16"
                class="align-middle text-body"
              />
            </template>
            <b-dropdown-item :to="{ name: 'apps-projects-view', params: { id: data.item.id } }">
              <feather-icon icon="FileTextIcon" />
              <span class="align-middle ml-50">Detalles</span>
            </b-dropdown-item>

          </b-dropdown> 
        </template>

      </b-table> 
      
    </b-card>
  </div>
</template>

<script>
import {
  BCard, BRow, BCol, BFormInput, BButton, BTable, BMedia, BAvatar, BLink,
  BBadge, BDropdown, BDropdownItem, BPagination,
} from 'bootstrap-vue'
import { length } from 'postcss-rtl/lib/affected-props';


export default {
  components: {

    BCard,
    BRow,
    BCol,
    BFormInput,
    BButton,
    BTable,
    BMedia,
    BAvatar,
    BLink,
    BBadge,
    BDropdown,
    BDropdownItem,
    BPagination,
  },
  data() {
    return {
      projects:[],
      tableColumns:[
        { key: 'name', label: "Nombre", sortable: true },
        { key: 'user_client.name', label: "Cliente", sortable: true },
        { key: 'user_manager.name', label: "Encargado", sortable: true },
        { key: 'Acciones' },
      ],
      searchQuery:''

    }
  },
  methods:{
    
    getProjects(){
      let userData = JSON.parse(localStorage.userData)
      this.$http.get('project/showProjectsUser',{params:{userId: userData.id}}).then(res=>{
        this.projects = res.data.projects
      }).catch(err=>{
        console.log(err);
      })
    },

  },
  mounted(){
    this.getProjects()
    
  },
}
</script>

<style lang="scss" scoped>
.per-page-selector {
  width: 90px;
}
</style>

<style lang="scss">
@import '@core/scss/vue/libs/vue-select.scss';
</style>

